Partner organisations only. A Payroll organisation calling this
endpoint receives 405 Method Not Allowed. An employer-scoped access
token receives 403 Forbidden.
Returns a managed organisation your Partner organisation has created.
Returns 404 Not Found when the organisation does not exist or is not
managed by your Partner organisation.
GET
/organisations/{organisation_id}
curl \
--request GET 'https://payroll-api.getpenfold.dev/v4/organisations/{organisation_id}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"id": "cm1abcd2e0000xyz123456789",
"display_name": "Acme Payroll Services",
"type": "single_employer",
"created_at": "2026-10-20T12:00:00.000Z"
}
Response examples (401)
{
"error": "Bad request: invalid data provided."
}
Response examples (403)
{
"error": "Bad request: invalid data provided."
}
Response examples (404)
{
"error": "Bad request: invalid data provided."
}
Response examples (405)
{
"error": "Bad request: invalid data provided."
}